Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# StructuredName

*** ** * ** ***

Kotlin \|[Java](https://developer.android.com/reference/android/provider/ContactsContract.CommonDataKinds.StructuredName "View this page in Java")

```
class StructuredName : ContactsContract.DataColumnsWithJoins
```

|---|---|
| [kotlin.Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html) ||
| ↳ | [android.provider.ContactsContract.CommonDataKinds.StructuredName](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#) |

A data kind representing the contact's proper name. You can use all columns defined for `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data` as well as the following aliases.

## Column aliases

| Type | Alias | Data column ||
|---|---|---|---|
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#DISPLAY_NAME:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String` |   |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#GIVEN_NAME:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA2:kotlin.String` |   |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#FAMILY_NAME:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA3:kotlin.String` |   |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PREFIX:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA4:kotlin.String` | Common prefixes in English names are "Mr", "Ms", "Dr" etc. |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#MIDDLE_NAME:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA5:kotlin.String` |   |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#SUFFIX:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA6:kotlin.String` | Common suffixes in English names are "Sr", "Jr", "III" etc. |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PHONETIC_GIVEN_NAME:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA7:kotlin.String` | Used for phonetic spelling of the name, e.g. Pinyin, Katakana, Hiragana |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PHONETIC_MIDDLE_NAME:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA8:kotlin.String` |   |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PHONETIC_FAMILY_NAME:kotlin.String` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA9:kotlin.String` |   |

<br />

## Summary

| Constants ||
|---|---|
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#CONTENT_ITEM_TYPE:kotlin.String` MIME type used when storing this in data table. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#DISPLAY_NAME:kotlin.String` The name that should be used to display the contact. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#EXTRA_ADDRESS_BOOK_INDEX:kotlin.String` Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#EXTRA_ADDRESS_BOOK_INDEX_COUNTS:kotlin.String` The array of group counts for the corresponding group. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#EXTRA_ADDRESS_BOOK_INDEX_TITLES:kotlin.String` The array of address book index titles, which are returned in the same order as the data in the cursor. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#FAMILY_NAME:kotlin.String` The family name for the contact. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#FULL_NAME_STYLE:kotlin.String` The style used for combining given/middle/family name into a full name. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#GIVEN_NAME:kotlin.String` The given name for the contact. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#MIDDLE_NAME:kotlin.String` The contact's middle name |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PHONETIC_FAMILY_NAME:kotlin.String` The phonetic version of the family name for the contact. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PHONETIC_GIVEN_NAME:kotlin.String` The phonetic version of the given name for the contact. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PHONETIC_MIDDLE_NAME:kotlin.String` The phonetic version of the additional name for the contact. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PHONETIC_NAME_STYLE:kotlin.String` The alphabet used for capturing the phonetic name. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#PREFIX:kotlin.String` The contact's honorific prefix, e. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.StructuredName#SUFFIX:kotlin.String` The contact's honorific suffix, e. |

## Constants

### CONTENT_ITEM_TYPE

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val CONTENT_ITEM_TYPE: String
```

MIME type used when storing this in data table.

    Value: "vnd.android.cursor.item/name"

### DISPLAY_NAME

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val DISPLAY_NAME: String
```

The name that should be used to display the contact. *Unstructured component of the name should be consistent with its structured representation.*

Type: TEXT

    Value: "data1"

### EXTRA_ADDRESS_BOOK_INDEX

```
static val EXTRA_ADDRESS_BOOK_INDEX: String
```

Add this query parameter to a URI to get back row counts grouped by the address book index as cursor extras. For most languages it is the first letter of the sort key. This parameter does not affect the main content of the cursor.

```kotlin
Example:
 
  import android.provider.ContactsContract.Contacts;
 
  Uri uri = Contacts.CONTENT_URI.buildUpon()
           .appendQueryParameter(Contacts.EXTRA_ADDRESS_BOOK_INDEX, "true")
           .build();
  Cursor cursor = getContentResolver().query(uri,
           new String[] {Contacts.DISPLAY_NAME},
           null, null, null);
  Bundle bundle = cursor.getExtras();
  if (bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES) &&
          bundle.containsKey(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS)) {
      String sections[] =
              bundle.getStringArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_TITLES);
      int counts[] = bundle.getIntArray(Contacts.EXTRA_ADDRESS_BOOK_INDEX_COUNTS);
  }
  
```

<br />

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX"

### EXTRA_ADDRESS_BOOK_INDEX_COUNTS

```
static val EXTRA_ADDRESS_BOOK_INDEX_COUNTS: String
```

The array of group counts for the corresponding group. Contains the same number of elements as the EXTRA_ADDRESS_BOOK_INDEX_TITLES array.

TYPE: int\[\]

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_COUNTS"

### EXTRA_ADDRESS_BOOK_INDEX_TITLES

```
static val EXTRA_ADDRESS_BOOK_INDEX_TITLES: String
```

The array of address book index titles, which are returned in the same order as the data in the cursor.

TYPE: String\[\]

    Value: "android.provider.extra.ADDRESS_BOOK_INDEX_TITLES"

### FAMILY_NAME

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val FAMILY_NAME: String
```

The family name for the contact.

Type: TEXT

    Value: "data3"

### FULL_NAME_STYLE

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val FULL_NAME_STYLE: String
```

The style used for combining given/middle/family name into a full name. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.FullNameStyle`.

    Value: "data10"

### GIVEN_NAME

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val GIVEN_NAME: String
```

The given name for the contact.

Type: TEXT

    Value: "data2"

### MIDDLE_NAME

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val MIDDLE_NAME: String
```

The contact's middle name

Type: TEXT

    Value: "data5"

### PHONETIC_FAMILY_NAME

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val PHONETIC_FAMILY_NAME: String
```

The phonetic version of the family name for the contact.

Type: TEXT

    Value: "data9"

### PHONETIC_GIVEN_NAME

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val PHONETIC_GIVEN_NAME: String
```

The phonetic version of the given name for the contact.

Type: TEXT

    Value: "data7"

### PHONETIC_MIDDLE_NAME

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val PHONETIC_MIDDLE_NAME: String
```

The phonetic version of the additional name for the contact.

Type: TEXT

    Value: "data8"

### PHONETIC_NAME_STYLE

Added in [API level 11](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val PHONETIC_NAME_STYLE: String
```

The alphabet used for capturing the phonetic name. See ContactsContract.PhoneticNameStyle.

    Value: "data11"

### PREFIX

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val PREFIX: String
```

The contact's honorific prefix, e.g. "Sir"

Type: TEXT

    Value: "data4"

### SUFFIX

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val SUFFIX: String
```

The contact's honorific suffix, e.g. "Jr"

    Value: "data6"